/**
 * CLoading - 加载中状态
 * @author Tevin
 */

<template>
    <view
        class="c-loading"
        @tap="evt => handleGoTo()"
    >
        <AtActivityIndicator
            :isOpened="show"
            mode="center"
        ></AtActivityIndicator>
        <view
            class="c-loading-content"
            :class="show?'off':''"
        >
            <slot />
        </view>
    </view>
</template>

<script>
import Taro from '@tarojs/taro';
import { AtActivityIndicator } from 'taro-ui-vue';
import './cLoading.scss';

export default {
    name: 'CLoading',
    components: {
        AtActivityIndicator,
    },
    props: {
        show: {
            type: Boolean,
            default: false,
        },
    },
    data() {
        return {};
    },
};
</script>
